Subject: Re: having access to interrupt specifier in map() function

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 16 Jul 2009 08:33:17 +1000

On Wed, 2009-07-15 at 09:11 -0500, Kumar Gala wrote:
> Ben,
> 
> Do you have any ideas on keeping access to the interrupt specifier  
> around so when we call map() we have access to it.  Our HV guys are  
> looking at using additional bits in the interrupt specifier to encode  
> information beyond just level/sense of the IRQ and want to make  
> decisions based on it during map().
> 
> Maybe we can keep it around in irq_map[].

Or we could translate those additional info into flags in the IRQ desc ?

Might be possible to request some arch specific flags in there.

Cheers,
Ben.